Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022928
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-01-29 19:592013-04-03 12:56
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision09febe4f395a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022928: The tax lines in orderline are not generated correctly if several taxes are applied in cascade

DescriptionCurrently, always a single tax line is generated for every order line. However, in cases in which several taxes are applied, only one tax line for the order line is created, and this is wrong.
Steps To ReproduceDefine more than one tax to be applied in cascade for a product.
Create an order with this product. Verify that only one order line tax is created. This is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055958)
hgbot (developer)
2013-01-29 20:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 09febe4f395a0560f8a584a9536b9d6c2bcde379
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jan 29 20:23:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09febe4f395a0560f8a584a9536b9d6c2bcde379 [^]

Fixed issue 22928. The tax lines will be generated correctly for each order/invoice line

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0055975)
hgbot (developer)
2013-01-30 15:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: bccae0232091e04b4358abb528c3d95faad17cb6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 30 15:00:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/bccae0232091e04b4358abb528c3d95faad17cb6 [^]

related to issue 22928: tex lines are negative when a return is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0055977)
guilleaer (developer)
2013-01-30 15:38

verified
(0057594)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 09febe4f395a0560f8a584a9536b9d6c2bcde379
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jan 29 20:23:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/09febe4f395a0560f8a584a9536b9d6c2bcde379 [^]

Fixed issue 22928. The tax lines will be generated correctly for each order/invoice line

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0057595)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: bccae0232091e04b4358abb528c3d95faad17cb6
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jan 30 15:00:08 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/bccae0232091e04b4358abb528c3d95faad17cb6 [^]

related to issue 22928: tex lines are negative when a return is done

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-01-29 19:59 marvintm New Issue
2013-01-29 19:59 marvintm Assigned To => marvintm
2013-01-29 20:24 hgbot Checkin
2013-01-29 20:24 hgbot Note Added: 0055958
2013-01-29 20:24 hgbot Status new => resolved
2013-01-29 20:24 hgbot Resolution open => fixed
2013-01-29 20:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09febe4f395a0560f8a584a9536b9d6c2bcde379 [^]
2013-01-30 15:00 hgbot Checkin
2013-01-30 15:00 hgbot Note Added: 0055975
2013-01-30 15:38 guilleaer Review Assigned To => guilleaer
2013-01-30 15:38 guilleaer Note Added: 0055977
2013-01-30 15:38 guilleaer Status resolved => closed
2013-01-30 15:38 guilleaer Fixed in Version => RMP19
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057594
2013-04-02 20:04 hgbot Status closed => resolved
2013-04-02 20:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09febe4f395a0560f8a584a9536b9d6c2bcde379 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/09febe4f395a0560f8a584a9536b9d6c2bcde379 [^]
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057595
2013-04-03 12:56 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker